Skip to navigation

✨ Get configurable permissions options

Retrieve the list of configurable permission options (label, tooltip, default role and allowed roles).

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired

Query parameters

orderingstringOptional
Which field to use when ordering the results.

Response

defaultlist of enums
optionslist of enums
permissionstring
excluded_bystringOptional

Broader permission that supersedes this one; it only takes effect for roles without it.

groupstringOptional
labelstringOptional
requiresstringOptional
Permission a role must also hold for this permission to take effect.
tooltipstringOptional